package com.fjhx.common.service.logistics.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.common.entity.logistics.dto.LogisticsAmountDto;
import com.fjhx.common.entity.logistics.dto.LogisticsAmountSelectDto;
import com.fjhx.common.entity.logistics.po.LogisticsAmount;
import com.fjhx.common.entity.logistics.vo.LogisticsAmountVo;
import com.fjhx.common.mapper.logistics.LogisticsAmountMapper;
import com.fjhx.common.service.logistics.LogisticsAmountService;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 物流发生额 服务实现类
 * </p>
 *
 * @author
 * @since 2024-05-06
 */
@Service
public class LogisticsAmountServiceImpl extends ServiceImpl<LogisticsAmountMapper, LogisticsAmount> implements LogisticsAmountService {

    @Override
    public List<LogisticsAmountVo> getList(LogisticsAmountSelectDto dto) {
        IWrapper<LogisticsAmount> wrapper = getWrapper();

        wrapper.eq("la", LogisticsAmount::getYear, dto.getYear());
        wrapper.eq("la", LogisticsAmount::getLogisticsCompanyId, dto.getYear());

        wrapper.orderByDesc("la", LogisticsAmount::getYear);
        List<LogisticsAmountVo> list = this.baseMapper.getList(wrapper);
        return list;
    }

    @Override
    public void saveOrEdit(LogisticsAmountDto logisticsAmountDto) {
        this.saveOrUpdate(logisticsAmountDto);
    }

}
